/* You can add global styles to this file, and also import other style files */

@font-face {
  font-family: 'Material Icons';
  font-style: normal;
  font-weight: 400;
  src: url(./assets/icons/iconfont/MaterialIcons-Regular.eot); /* For IE6-8 */
  src: local('Material Icons'), local('MaterialIcons-Regular'),
    url(./assets/icons/iconfont/MaterialIcons-Regular.woff2) format('woff2'),
    url(./assets/icons/iconfont/MaterialIcons-Regular.woff) format('woff'),
    url(./assets/icons/iconfont/MaterialIcons-Regular.ttf) format('truetype');
}

@font-face {
  font-family: 'Roboto';
  /* src: url(./assets/fonts/Roboto-Regular.eot); */
  /* src: url(./assets/fonts/Roboto-Regular.eot?#iefix) format('embedded-opentype'), */
  /* url(./assets/fonts/Roboto-Regular.woff2) format('woff2'), url(./assets/fonts/Roboto-Regular.woff) format('woff'), */
  src: url(./assets/fonts/Roboto-Regular.ttf) format('truetype');
  font-weight: 400;
  font-style: normal;
}

.material-icons {
  font-family: 'Material Icons';
  font-weight: normal;
  font-style: normal;
  font-size: 24px; /* Preferred icon size */
  display: inline-block;
  line-height: 1;
  text-transform: none;
  letter-spacing: normal;
  word-wrap: normal;
  white-space: nowrap;
  direction: ltr;

  /* Support for all WebKit browsers. */
  -webkit-font-smoothing: antialiased;
  /* Support for Safari and Chrome. */
  text-rendering: optimizeLegibility;

  /* Support for Firefox. */
  -moz-osx-font-smoothing: grayscale;

  /* Support for IE. */
  font-feature-settings: 'liga';
}

* {
  box-sizing: border-box;
}

html,
body {
  height: 100%;
  margin: 0;
  font-family: Roboto, 'Helvetica Neue', sans-serif;
}

.icon {
  margin: 5px;
  vertical-align: middle;
}

.mat-form-field-appearance-legacy .mat-form-field-underline {
  background-color: #696f7c !important;
}

.mat-error {
  color: #e44c29;
}

.mat-slide-toggle .mat-slide-toggle-thumb {
  background-color: #ff4081;
}

.mat-slide-toggle .mat-slide-toggle-bar {
  background-color: rgba(255, 64, 129, 0.54);
}

.mat-button-toggle-focus-overlay {
  border-bottom: none !important;
}

.mat-form-field.mat-form-field-invalid .mat-form-field-ripple,
.mat-form-field.mat-form-field-invalid .mat-form-field-ripple.mat-accent {
  background-color: #f19f8c;
}

.user__gender mat-button-toggle-group .mat-button-toggle .mat-button-toggle-button .mat-button-toggle-label-content {
  padding: 0;
  line-height: 30px;
}

@media (max-width: 500px) {
  .mat-keyboard .mat-raised-button {
    font-size: 12px;
    line-height: 12px;
    margin-left: 0px;
    padding: 0;
    height: 30px;
  }
}
.user__date .mat-form-field-label {
  text-align: center;
}

mat-keyboard-container {
  min-width: 100% !important;
  padding: unset !important;
  position: absolute !important;
  bottom: 0% !important;
}

mat-keyboard-container mat-keyboard-key .mat-keyboard-key {
  /* //padding: unset !important; */
  padding: 0 0.485rem !important;
}
.mat-keyboard-col {
  padding: 1px !important;
}
.mat-keyboard-wrapper {
  padding: 0 !important;
}
